View a markdown version of this page

GetMedicalCodingJob - Amazon Connect Health

GetMedicalCodingJob

Retrieves information about a medical coding job, including its status and, when it succeeds, the location of its results.

Medical coding jobs are in preview release and are subject to change.

Request Syntax

GET /domain/domainId/medical-coding-job/jobId HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

domainId

The unique identifier of the parent Domain.

Length Constraints: Minimum length of 20. Maximum length of 25.

Pattern: (hai-|dom-)[a-z0-9]+

Required: Yes

jobId

The unique identifier of the medical coding job.

Length Constraints: Minimum length of 1. Maximum length of 36.

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "creationTime": "string", "datasetId": "string", "encounterContext": { "afterHours": boolean, "encounterDate": "string", "encounterDurationMinutes": number, "encounterReason": "string", "encounterType": "string" }, "jobArn": "string", "jobId": "string", "jobStatus": "string", "medicalCodingOutput": { "uri": "string" }, "outputDataConfig": { "s3OutputPath": "string" }, "patientContext": { "dateOfBirth": "string", "insurance": "string", "sex": "string", "status": "string" }, "statusDetails": "string", "text": "string", "updatedTime": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

creationTime

The date and time that the medical coding job was created.

Type: Timestamp

datasetId

The unique identifier of the dataset that the job codes against. Not returned if the job uses the general medical coding knowledge base.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [a-z0-9]{1,64}

encounterContext

The encounter context that you provided for the job.

Type: MedicalCodesEncounterContext object

jobArn

The Amazon Resource Name (ARN) of the medical coding job.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 200.

Pattern: arn:aws[-a-z]*:health-agent:[-a-z0-9]+:[0-9]{12}:domain/[-a-zA-Z0-9-]+/medical-coding-job/[-a-zA-Z0-9_/.]+

jobId

The unique identifier of the medical coding job.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 36.

jobStatus

The status of the medical coding job.

Type: String

Valid Values: SUBMITTED | IN_PROGRESS | FAILED | SUCCEEDED

medicalCodingOutput

The location of the job results. Returned when the job succeeds.

Type: MedicalCodingOutput object

outputDataConfig

The output configuration that you provided for the job.

Type: MedicalCodingOutputDataConfig object

patientContext

The patient context that you provided for the job.

Type: MedicalCodesPatientContext object

statusDetails

Details about the status of the job, such as the reason that it failed.

Type: String

Pattern: .*[\s\S]*\S[\s\S]*.*

text

The clinical text that the medical coding job codes.

Type: String

Pattern: .*[\s\S]*\S[\s\S]*.*

updatedTime

The date and time that the medical coding job was last updated.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This error is thrown when the client does not supply proper credentials to the API.

HTTP Status Code: 401

InternalServerException

This error is thrown when a transient error causes our API to fail.

HTTP Status Code: 500

ResourceNotFoundException

This error is thrown when the requested resource is not found.

HTTP Status Code: 404

ThrottlingException

This error is thrown when the client exceeds the allowed request rate.

HTTP Status Code: 429

ValidationException

This error is thrown when the client supplies invalid input to the API.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: